<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_b1dd56266fec1e595c364d7bf" . "c1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aW" . "ZpY2F0aW9ucyBTRVQgdXNlcl9p" . "ZD1pbnQ6bmV3X2lkIFdIRVJFIH" . "VzZXJfaWQ9aW50OnVfaWQ="), "_11bb4e3dc1e3624a6ecb56860f" . "9dead0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSBwdWJsaXNoX25vdGlmaWNh" . "dGlvbnMgV0hFUkUgcGFnZV9pZD1pbnQ6cF9pZA=="), "_c06c961f393742" . "ecfd52b72263ac9" . "470" => base64_decode("aW50d" . "mFs"), "_53bfc51e054c55" . "b09ffaa67e35743" . "c96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW" . "9ucyBTRVQgb25jZT1pbnQ6b25jZSBXSEVS" . "RSB1c2VyX2lkPWludDp1X2lkIEFORCBwYW" . "dlX2lkPWludDp1X2lk"), "_20a787300c0455250233fd06fa0" . "384f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQgSU4gaW46aW50" . "OnVzZXJzIEFORCBwYWdlX2lkPWludDpwX2lkIEFORCBvbmNlID0gMQ=="), "_b707d4367ddde579d" . "81c047d544710e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQ9a" . "W50OnVfaWQgQU5EIHBhZ2VfaWQ9aW50OnBfaWQ="), "_2563c0d294fc620892" . "28d12c57f6da77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZCA9IGludDp1X2lkIEFORCBwYWdl" . "X2lkID0gaW50OnBfaWQ="), "_48467b7a05f92d5ee95d490c4901" . "18d1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF" . "9ub3RpZmljYXRpb25zIFdIRVJF" . "IHBhZ2VfaWQ9aW50OnBfaWQ="), "_ffc655ae461" . "b838dffa4551" . "784bacfca" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUg" . "dXNlcl9pZD1pbnQ6dV9pZCBBTkQgcGFnZV9pZD1pbnQ6cF9pZA=="), "_e656e7cb7f" . "4bfc035dd97" . "e8a7055b847" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIH" . "VzZXJfaWQ9aW50OnVfaWQ="), "_4ae48f0b4a26d" . "39f5b586b01beb" . "33fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljY" . "XRpb25zICh1c2VyX2lkLCBwYWdlX2lkLCBvbm" . "NlKSBWQUxVRVMgKGludDp1X2lkLCBpbnQ6cF9" . "pZCwgaW50Om9uY2Up"));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c06c961f393742ecfd52b7226" . "3ac9470"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2563c0d294fc62089228d12" . "c57f6da77"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_53bfc51e" . "054c55b09" . "ffaa67e35" . "743c96"], $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c06c961f393742ecfd52b722" . "63ac9470"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4ae48f0b4" . "a26d39f5b5" . "86b01beb33" . "fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_c06c961f" . "393742ecf" . "d52b72263" . "ac9470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_b707d4367ddde579d81c0" . "47d544710e3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_20a787300c0455250233fd06fa038" . "4f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_48467b7a05f92d5ee95d49" . "0c490118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e656e7cb7f4bfc035d" . "d97e8a7055b847"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b1dd56266fec1e595c364d" . "7bfc1254cb"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_ffc655ae461b8" . "38dffa4551784b" . "acfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_11bb4e3dc1e" . "3624a6ecb568" . "60f9dead0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}